import 'package:get/get_navigation/src/routes/transitions_type.dart';

enum SpinTransition {
  fade,
  fadeIn,
  rightToLeft,
  leftToRight,
  upToDown,
  downToUp,
  rightToLeftWithFade,
  leftToRightWithFade,
  zoom,
  topLevel,
  noTransition,
  cupertino,
  cupertinoDialog,
  size,
  circularReveal,
  native,
}

Transition getTransition(SpinTransition? transition) {
  switch (transition) {
    case SpinTransition.cupertino:
      return Transition.cupertino;
    case SpinTransition.fade:
      return Transition.fade;
    case SpinTransition.fadeIn:
      return Transition.fadeIn;
    case SpinTransition.rightToLeft:
      return Transition.rightToLeft;
    case SpinTransition.leftToRight:
      return Transition.leftToRight;
    case SpinTransition.upToDown:
      return Transition.upToDown;
    case SpinTransition.downToUp:
      return Transition.downToUp;
    case SpinTransition.rightToLeftWithFade:
      return Transition.rightToLeftWithFade;
    case SpinTransition.leftToRightWithFade:
      return Transition.leftToRightWithFade;
    case SpinTransition.zoom:
      return Transition.zoom;
    case SpinTransition.topLevel:
      return Transition.topLevel;
    case SpinTransition.noTransition:
      return Transition.noTransition;
    case SpinTransition.cupertinoDialog:
      return Transition.cupertinoDialog;
    case SpinTransition.size:
      return Transition.size;
    case SpinTransition.circularReveal:
      return Transition.circularReveal;
    case SpinTransition.native:
    case null:
    default:
      return Transition.native;
  }
}
