import 'package:sw_core/entity_user/user.dart';
import 'package:sw_core/entity_auth/error.dart';
import 'package:sw_core/interface/controller/i_controller_auth.dart';
import 'package:sw_core/response/response_auth.dart';

abstract class IControllerPolledAuth {
  abstract final authStep;
  abstract final user;
  abstract final error;
  abstract final isPolling;

  Future requestPolledAuth(String taskId);
}
