import 'package:get/get_rx/src/rx_types/rx_types.dart';

abstract class UseCase<T> {
  abstract Rx<T> observable;
  Future<T> execute([dynamic object]);
  Future<T> update(Future<T> future) {
    future.then((value) => observable.value = value);
    return future;
  }
}
